cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-10269) [iOS 8] cordova-plugin-wkwebview-engine breaks Cordova iOS 4.0.0 under iOS 8
Date Fri, 15 Jan 2016 02:04:40 GMT

    [ https://issues.apache.org/jira/browse/CB-10269?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15101052#comment-15101052
] 

ASF GitHub Bot commented on CB-10269:
-------------------------------------

GitHub user jamesandersen opened a pull request:

    https://github.com/apache/cordova-plugin-wkwebview-engine/pull/3

    CB-10269: Replace cordova exec only when present in wkwebview

    

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/jamesandersen/cordova-plugin-wkwebview-engine master

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cordova-plugin-wkwebview-engine/pull/3.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #3
    
----
commit 66d70fed2454b1af164214a06a91cbeec7065cb0
Author: James Andersen <james.andersen@universalmind.com>
Date:   2016-01-15T02:02:42Z

    CB-10269: Replace cordova exec only when present in wkwebview

----


> [iOS 8] cordova-plugin-wkwebview-engine breaks Cordova iOS 4.0.0 under iOS 8
> ----------------------------------------------------------------------------
>
>                 Key: CB-10269
>                 URL: https://issues.apache.org/jira/browse/CB-10269
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Plugin WKWebViewEngine
>    Affects Versions: 4.0.0
>         Environment: Cordova tools 5.4.1
> Cordova iOS platform 4.0.1
> iOS Simulator 8.4
> cordova-plugin-wkwebview-engine plugin
>            Reporter: Ivan Karpan
>            Priority: Critical
>              Labels: cordova-ios-4.1.0, triaged
>         Attachments: ios-wkwebview-exec.js
>
>
> When launching on iOS 8.4 simulator the following error breaks JS execution early on:
> ios-wkwebview-exec.js:127 TypeError: undefined is not an object (evaluating 'window.webkit.messageHandlers')
> So inclusion of 'cordova-plugin-wkwebview-engine' plugin breaks support of iOS versions
previous to 9.0. I assume ios-wkwebview-exec.js should have environment checks before using
WKWebView bridge...
> Exclusion of the same plugin breaks the project at all. Are there any fallback mechanics
in place?



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message